package cn.novalon.gym.manage.auth.service;

import cn.novalon.gym.manage.auth.dto.LoginRequest;
import cn.novalon.gym.manage.auth.dto.LoginResponse;
import cn.novalon.gym.manage.auth.dto.UserInfo;
import reactor.core.publisher.Mono;

public interface IAuthService {

    Mono<LoginResponse> login(LoginRequest request);

    Mono<UserInfo> getUserInfo(Long userId);
}